Bug 449168

Summary: synaptic always gives md5sum errors on install of packages
Product: [Fedora] Fedora Reporter: erik slagter <erik>
Component: synapticAssignee: Panu Matilainen <pmatilai>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: andreasantilli, axel.thimm, burhan.ali, cave.dnb2m97pp, eli, kevin, pmatilai, redhat
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-15 04:18:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description erik slagter 2008-05-30 16:39:22 EDT
Description of problem:

Synaptic always gives md5sum errors on install of packages, while apt and rpm
install the same packages just fine. This from f9, on f8 it worked without a
problem.

Version-Release number of selected component (if applicable):

synaptic-0.57.2-16.fc9.x86_64
apt-0.5.15lorg3.94-3.fc9.x86_64
rpm-4.4.2.3-2.fc9.x86_64
rpm-libs-4.4.2.3-2.fc9.x86_64

How reproducible:

Select any package to install and "apply".

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:

md5sum error on some files

Expected results:

clean install, apt and rpm do the same thing fine

Additional info:

This goes for two machines, one i386 and one x86_64, the first incrementally
upgraded from fedora core 1, the second one initially installed with f8 and
recently upgraded to f9.
Comment 1 erik slagter 2008-06-14 04:25:32 EDT
BTW I already removed prelink from both machines and performed prelink -u.
Comment 2 redhat 2008-07-06 14:13:17 EDT
I have the same problem. apt-get, yum, yumex, smart all work (as does straight
rpm), only synaptic has this problem.
Comment 3 erik slagter 2008-08-17 06:10:01 EDT
Downgraded synaptic to fedora 8 -> problem remains
Downgraded apt to fedora 8 -> problem remains
Downgraded rpm & rpm libs & beecrypt to fedora -> problem is gone

Looks like a bug in rpm or a bad interaction between synaptic and (newer) rpmlib (versions).

Maybe in the end something to hit the rpm developers with ;-)
Comment 4 Axel Thimm 2008-08-18 04:56:57 EDT
The assignee, Panu, *is* the rpm developer, so either way this report is in good hands. :)

Does it work to use the F8 rpm/rpm-libs with F9's apt/synaptic to check whether it really only rpm/rpm-libs that triggers this alone? Comment #3 implies that all were downgraded for synaptic to work.
Comment 5 erik slagter 2008-08-18 06:06:29 EDT
Yes, initially all related packages were downgraded.

Afterwards, I upgraded one by one, holding back beecrypt because rpmlibs has a hard dependency on the f8 version.

I can confirm that all works with solely the rpm and rpmlibs (depends...) downgraded to f8.

Also I have to note that apt-get actually works in all versions...
Comment 6 Kevin Kofler 2008-11-01 08:37:09 EDT
*** Bug 464309 has been marked as a duplicate of this bug. ***
Comment 7 Kevin Kofler 2008-11-01 08:37:35 EDT
*** Bug 464588 has been marked as a duplicate of this bug. ***
Comment 8 Kevin Kofler 2008-11-01 08:39:36 EDT
I can confirm this (as does the presence of 2 duplicates ;-) ).

Is there anything which can be done about this? Bug 464309 claims this started happening with the newkey repos, but even if that's the case, it's still only on F9, it works on F8 with updates-newkey.
Comment 9 Kevin Kofler 2008-11-01 08:41:01 EDT
Well, looking at the timing of this report, it can't be related to the newkey stuff.
Comment 10 erik slagter 2008-11-01 20:22:09 EDT
> Well, looking at the timing of this report, it can't be related to the newkey
> stuff.

Exactly. This trouble has started with fc9, long before the key issue. I haven't been able to install rpms using synaptic for I think over six months now.

Please note that the trouble seems to originate from an update version of the rpm libs. Maybe you didn't update these before?
Comment 11 Panu Matilainen 2009-01-12 11:37:55 EST
Hohum, I've managed to mix up this with another (unrelated) checksum issue.
The deal is that Synaptic install progress handling interacts badly with NSS (yes I know it sounds a bit weird), which rpm in F9 and newer uses for crypto functionality.

To properly fix, the install progress handling needs a big overhaul (it always was more than a little murky), a temporary workaround is to enable "external package manager" mode of apt-rpm for Synaptic:

Settings -> Set Internal Option ->
Variable: RPM::PM
Value: external
-> Apply -> Close

After this change, when called from Synaptic, apt-rpm will use external rpm command instead of using librpm calls to perform installs etc, this avoids the NSS-gets-broken-over-fork issue.
Comment 12 Nigel Henry 2009-01-12 12:54:57 EST
Hi Panu.

Thanks for the workaround, which works fine.

Now to see if rpmfusion has done anything about providing apt-get, and synaptic support for their repo's.

Many thanks for your work with apt-rpm. It's much appreciated.

Nigel.
Comment 13 Eli Wapniarski 2009-01-13 00:05:28 EST
The following should work just fine and I hope this helps.

Contents of rpmfusion.list
---------------------------
repomd http://download1.rpmfusion.org/ free/fedora/updates/10/x86_64/
repomd http://download1.rpmfusion.org/ nonfree/fedora/updates/10/x86_64/


Example for Reference in Preferences
------------------------------------

Package: *
Pin: release c=free-fedora-updates-10-x86_64
Pin-Priority: 1002

Package: *
Pin: release c=nonfree-fedora-updates-10-x86_64
Pin-Priority: 1002
Comment 14 Nigel Henry 2009-01-13 14:13:02 EST
Thanks for the info Eli.

Unfortunately, having changed your lines to access the repo's for F9, and i386, I'm still getting errors as below.

Reading Package Lists... Error!
E: Error occured while processing kmod-open-vm-tools#0.0.0.123053-1.fc9.4 (CollectFileProvides)
E: Problem with MergeFileProvides /var/lib/apt/lists/download1.rpmfusion.org_free_fedora_updates_9_i386_repodata_7872e554bb8328f5f8216de9f6b67188fce510e6-primary.sqlite
E: The package lists or status file could not be parsed or opened.
[root@localhost djmons]#

If I comment out the free repo in /etc/apt/sources.list, I then get errors for the nonfree repo with a different kmod package, and still the parsing errors.

This is the wrong place to continue this, and I'll have to bug rpmfusion again.

I don't have an F10 install yet, so cannot confirm that the lines you provided on the previous comment, suitably changed to i386 would work for me, but I presume that both apt-get, and synaptic are working for you with the rpmfusion repo's.

It could be worse. We could still be stuck with redhats up2date (FC1), and that was a disaster if you were on dialup, as it had no resume support.

I'll take this back to rpmfusion, as Livna, and Freshrpms had no problem with apt-get, and synaptic.

Nigel.
Comment 15 Eli Wapniarski 2009-01-13 23:58:59 EST
Unfortuneately, taking a look at koji, it would seem that apt has not been updated for Fedora 9.

Any chance Nigel will see an update for Fedora 9?
Comment 16 Panu Matilainen 2009-02-28 05:30:44 EST
This should be now fixed in rawhide Synaptic, will make updates for F10 and 9 but I'd appreciate if somebody can test it a bit more before that - I only did a very basic smoke-test. And remember to remove the workaround from comment #11 before testing :)
Comment 17 Eli Wapniarski 2009-02-28 05:44:13 EST
Downloading the SRPM.
Comment 18 Eli Wapniarski 2009-02-28 06:43:57 EST
Builds successfully on F-10 x86_64 and i386. Synaptic happily, and effeiciently installed on both type systems.

I guess you could say its... dang... its working :)
Comment 19 Nigel Henry 2009-02-28 17:51:37 EST
I havn't tried the newly fixed synaptic yet, but as Eli gives a confirm that it works on F10, I'll take that as fixed for F9 as well, but will try it on F9 myself.

Worse though is that Apt appears to be broken after recent updates on F10.

Apt on F10 had been working ok, then I added the repos for rpmfusion in /etc/apt/sources.list. An apt-get update went ok, and apt-get dist-upgrade showed there were a bunch of packages to be installed, including 2 for rpmfusion. Said yes, and the packages were downloaded, but the GPG key couldn't be found for the 2 rpmfusion packages, so nothing was installed.

As I had to do on F9 with the same problem, I did a yum install for the 2 rpmfusion packages, which then asked for confirmation for the 2 rpmfusion keys. Said yes to both, and the rpmfusion packages were installed.

Now I run apt-get dist-upgrade again, and as the rpmfusion packages are already installed, the rest of the packages are installed without any further problems.

The next time I run apt-get update, the primary, and filelists are downloaded ok, but then I get this output.

[djmons@localhost ~]$ su
Password:
[root@localhost djmons]# apt-get update
Freeing locks for locker 0x135: 3668/3085960992
Freeing locks for locker 0x136: 3668/3085960992
Freeing locks for locker 0x137: 3668/3085960992
Get:1 http://download.fedora.redhat.com fedora/linux/updates/10/i386/ repomd.xml [2391B]
Get:2 http://download.fedora.redhat.com fedora/linux/releases/10/Everything/i386/os/ repomd.xml [2849B]
Fetched 5240B in 2s (2001B/s)
Hit http://download.fedora.redhat.com fedora/linux/updates/10/i386/ primary.sqlite
Hit http://download.fedora.redhat.com fedora/linux/updates/10/i386/ filelists.sqlite
Hit http://download.fedora.redhat.com fedora/linux/releases/10/Everything/i386/os/ 04da721e41b80b2a003de83f73387a6d7d30833f-primary.sqlite
Hit http://download.fedora.redhat.com fedora/linux/releases/10/Everything/i386/os/ 848f002818e918fb0dc1e258342c63c3587683bf-filelists.sqlite
Reading Package Lists... Done
apt-get: rpmds.c:518: rpmdsDupArgv: Assertion `argv[ac] != ((void *)0)' failed.
Aborted
[root@localhost djmons]#

The packages that were installed before apt threw in the towel are as below, and I suspect that perhaps one of the 3 rpm packages may be responsible for the problem.

[djmons@localhost ~]$ rpm -q -a --last
rpm-python-4.6.0-1.fc10                       Thu 26 Feb 2009 01:39:01 PM CET                                                             
rpm-4.6.0-1.fc10                              Thu 26 Feb 2009 01:39:00 PM CET                                                             
kaffeine-0.8.7-3.fc10                         Thu 26 Feb 2009 01:38:58 PM CET                                                             
rpm-libs-4.6.0-1.fc10                         Thu 26 Feb 2009 01:38:57 PM CET                                                             
kaffeine-libs-0.8.7-3.fc10                    Thu 26 Feb 2009 01:38:57 PM CET                                                             
system-config-printer-1.0.15-1.fc10           Thu 26 Feb 2009 01:38:56 PM CET                                                             
gstreamer-plugins-good-0.10.13-1.fc10         Thu 26 Feb 2009 01:38:54 PM CET                                                             
wpa_supplicant-0.6.4-3.fc10                   Thu 26 Feb 2009 01:38:47 PM CET                                                             
gvfs-obexftp-1.0.3-5.fc10                     Thu 26 Feb 2009 01:38:47 PM CET                                                             
gvfs-fuse-1.0.3-5.fc10                        Thu 26 Feb 2009 01:38:47 PM CET                                                             
gvfs-smb-1.0.3-5.fc10                         Thu 26 Feb 2009 01:38:46 PM CET                                                             
gvfs-gphoto2-1.0.3-5.fc10                     Thu 26 Feb 2009 01:38:46 PM CET                                                             
gvfs-archive-1.0.3-5.fc10                     Thu 26 Feb 2009 01:38:46 PM CET                                                             
e2fsprogs-1.41.4-1.fc10                       Thu 26 Feb 2009 01:38:45 PM CET                                                             
anacron-2.3-66.fc10                           Thu 26 Feb 2009 01:38:45 PM CET                                                             
xorg-x11-server-Xorg-1.5.3-13.fc10            Thu 26 Feb 2009 01:38:44 PM CET                                                             
hal-cups-utils-0.6.19-1.fc10                  Thu 26 Feb 2009 01:38:44 PM CET                                                             
libgcrypt-1.4.4-1.fc10                        Thu 26 Feb 2009 01:38:43 PM CET                                                             
gimp-help-browser-2.6.5-1.fc10                Thu 26 Feb 2009 01:38:43 PM CET                                                             
gimp-2.6.5-1.fc10                             Thu 26 Feb 2009 01:38:41 PM CET                                                             
kdemultimedia-4.2.0-3.fc10                    Thu 26 Feb 2009 01:38:34 PM CET                                                             
system-config-printer-libs-1.0.15-1.fc10      Thu 26 Feb 2009 01:38:32 PM CET                                                             
kdemultimedia-libs-4.2.0-3.fc10               Thu 26 Feb 2009 01:38:31 PM CET                                                             
kdelibs-4.2.0-15.fc10                         Thu 26 Feb 2009 01:38:26 PM CET                                                             
fontpackages-filesystem-1.20-1.fc10           Thu 26 Feb 2009 01:38:20 PM CET                                                             
xorg-x11-server-common-1.5.3-13.fc10          Thu 26 Feb 2009 01:38:19 PM CET                                                             
kdelibs-common-4.2.0-15.fc10                  Thu 26 Feb 2009 01:38:19 PM CET                                                             
crontabs-1.10-26.fc10                         Thu 26 Feb 2009 01:38:19 PM CET                                                             
gimp-libs-2.6.5-1.fc10                        Thu 26 Feb 2009 01:38:18 PM CET                                                             
e2fsprogs-libs-1.41.4-1.fc10                  Thu 26 Feb 2009 01:38:18 PM CET                                                             
gvfs-1.0.3-5.fc10                             Thu 26 Feb 2009 01:38:17 PM CET                                                             
rpmfusion-nonfree-release-10-1                Thu 26 Feb 2009 01:34:10 PM CET                                                             
rpmfusion-free-release-10-1                   Thu 26 Feb 2009 01:34:10 PM CET                                                             
gpg-pubkey-b1981b68-4878de85                  Thu 26 Feb 2009 01:33:54 PM CET                                                             
gpg-pubkey-49c8885a-4878ddfb                  Thu 26 Feb 2009 01:33:5

The 4 packages above were installed using yum. All those above them were installed using apt-get.


Post apt-get installing the other packages, apt-get was in a broken state after a reboot.

Any suggestions for a quick fix for this problem?

Eli. You say that synaptic is now working ok for you on F10. Have you got these latest rpm updates yet that I list above, and if so, is apt-get still working without problems for you?

Nigel.
Comment 20 Eli Wapniarski 2009-03-01 00:05:35 EST
You will need to rebuild the rpm-4.6.0-10 sources from koji as well.
Comment 21 Axel Thimm 2009-03-01 01:49:40 EST
> Reading Package Lists... Done
> apt-get: rpmds.c:518: rpmdsDupArgv: Assertion `argv[ac] != ((void *)0)' failed.
> Aborted

Since this is a different issue than the originally reported one, doesn't it deserve a different bug?
Comment 22 Eli Wapniarski 2009-03-01 02:11:53 EST
Already has one

https://bugzilla.redhat.com/show_bug.cgi?id=485616
Comment 23 Fedora Update System 2009-03-07 05:19:25 EST
synaptic-0.57.2-18.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/synaptic-0.57.2-18.fc10
Comment 24 Panu Matilainen 2009-03-07 05:28:14 EST
Update for F10 Synaptic to fix the md5 issue submitted now, F9 is more
complicated as the rpm 4.4.2.x-hacked-to-use-nss doesn't export the
functionality the patch needs. So F9 needs an rpm update first, sigh... (it's
needed for some other things too, will do as soon as I find the time).

The rpmdsDupArgv thing is a completely different issue and doesn't exist in F9,
lets not pile up stuff...
Comment 25 Nigel Henry 2009-03-07 11:41:36 EST
Nice that Synaptic is fixed for F10, and should soon arrive on my updates list. I can still use the workaround on F9's Synaptic,

Regarding the rpmdsDupArgv problem on F10

Eli (comment 22) showed a bug report for this against rawhide (now fixed and closed).

Should I create a bugreport for the same problem against F10? It seems to be a bit pointless if someone with the authority, can simply submit the same fix that worked for rawhide (rpm-4.6.0-10 or latest), to F10 updates.

Currently I've reverted rpm, rpm-libs, and rpm-python to version 4.6.0-0.rc3.1.fc10, and have the rpm package pinned in apt preferences, so that it is not upgraded, and apt is working ok with this.

Nigel.
Comment 26 Panu Matilainen 2009-03-08 13:05:18 EDT
There's already a F10 tracker for the rpmdsDupArgv issue: bug 487881.
And yes it will be fixed sooner than later, I just want to collect a couple of other fixes to the same update.
Comment 27 Fedora Update System 2009-03-09 19:06:28 EDT
synaptic-0.57.2-18.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 28 Eli Wapniarski 2009-03-10 01:08:59 EDT
Downloading as I write. Any time frame on the newer rpm packages.
Comment 29 Eli Wapniarski 2009-03-11 12:48:05 EDT
REALLY REALLY IMPORTANT

Panu.... Earlier in the day, to do a test, I downgraded rpm from rpm-4.6.0-10
Comment 30 Eli Wapniarski 2009-03-11 12:54:37 EDT
REALLY REALLY IMPORTANT!!!!

Panu.... Earlier in the day, to do a test, I downgraded rpm from rpm-4.6.0-10 to rpm-4.6.0-1. I needed to test something and in the process I hosed /var/lib/rpm/Packages. The problem was the db format. If I remember correctly rpm-4.6.0-10 rebuilds with db4 support and rpm-4.6.0-1 is built with db3 support.

So. now I'm in the process of trying to recover database as outlined in

http://kbase.redhat.com/faq/docs/DOC-15698;jsessionid=E05223C45C152389517D661E99234DB5.066ef7ba

I think things will work.

Also, do you know of a straight forward way to import /var/log/rpmpkgs into /var/lib/rpm/Packages.
Comment 31 Bug Zapper 2009-06-09 21:17:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Bug Zapper 2009-07-15 04:18:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.